<?php 
/**
 * Plugin Name: Classic Counter (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/ClassicCounter
 * Description: Embed a view counter in the style of classic CGI scripts into your website
 * Author: Lukas Winkler
 * Author URI: https://lw1.at
 * Version: 0.3.2
 */
?><?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\Plugins\ClassicCounter;

use Piwik\Access;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class ClassicCounter extends \Piwik\Plugin
{
    public static function getVisitorData($idSite) {
        $visitsCount = Access::getInstance()->doAsSuperUser(function () use ($idSite) {
            return \Piwik\API\Request::processRequest('VisitsSummary.get', array(
                'idSite' => $idSite,
                'period' => "range",
                'date' => "2000-01-01,2030-01-01",
            ))->getFirstRow()->export()[0];
        });
        return $visitsCount;
    }

}
